/*
           Copyright Devin DeLong 2006 - 2007.
  Distributed under the Boost Software License, Version 1.0.
     (See accompanying file LICENSE_1_0.txt or copy at
           http://www.boost.org/LICENSE_1_0.txt)
 */

#ifndef EVENTHANDLER_H
#define EVENTHANDLER_H

// BZFS
#include "bzfsAPI.h"

// Local
#include "utility.h"

// STL
#include <vector>


class EventHandler : public bz_EventHandler {

public:
  
  EventHandler()
  {
    getTeamBases(teamBases_);
  }
  
  virtual void process(bz_EventData *eventData);
  
private:
  
  int lastKillerID_;
  
  std::vector<TeamBase> teamBases_;
};

#endif /* EVENTHANDLER_H */





