/*
           Copyright Devin DeLong 2006 - 2007.
  Distributed under the Boost Software License, Version 1.0.
     (See accompanying file LICENSE_1_0.txt or copy at
           http://www.boost.org/LICENSE_1_0.txt)
 */


#ifndef GLOBAL_H
#define GLOBAL_H

// STL
#include <vector>

// Boost
#include <boost/ptr_container/ptr_vector.hpp>

// Local
#include "Mine.h"

class Global {
  
public:
  
  /** All of the mines on the map */
  static boost::ptr_vector<Mine> mineList;
    
  /** Teammates will not be able to trigger mines if this is true */
  static bool teamKillSafety;
  
  /** This will remove mines that are too close to a team base when
      a flag is captured. 
   
      TODO: Look into modifying the spawn algorithms to keep players
            from spawning on a mine, anywhere on the map. */
  static bool spawnSafety;
  
};


#endif /* GLOBAL_H */

