/*
           Copyright Devin DeLong 2006 - 2007.
  Distributed under the Boost Software License, Version 1.0.
     (See accompanying file LICENSE_1_0.txt or copy at
           http://www.boost.org/LICENSE_1_0.txt)
 */


#ifndef MINECOMMAND_H
#define MINECOMMAND_H

#define MINECOMMAND "mine"

#include "bzfsAPI.h"

/** Used to create and set mines.*/
class MineCommand : public bz_CustomSlashCommandHandler {

public:
  
  /** The bzfs handler */
  virtual bool handle (int playerID, 
                       bzApiString /*command*/, 
                       bzApiString /*message*/, 
                       bzAPIStringList* params);
    
private:
  
  /** Prints inormation about mines */
  void showMines() const;
  
  /** Checks if the player has the Useless flag */
  bool playerHasUS() const;
  
  /** Adds a mine */
  bool addMine(eMineType type) const;
  
  // Prints usage
  bool sendUsage() const;
  
private:
  
  /** The player who called the command */
  bz_PlayerRecord *player_;
  
  /** The ID of the player */
  int playerID_;
  
  // Usage string
  static std::string usage_[18];
  

};



#endif /* MINECOMMAND_H */    






