/*
           Copyright Devin DeLong 2007.
  Distributed under the Boost Software License, Version 1.0.
     (See accompanying file LICENSE_1_0.txt or copy at
           http://www.boost.org/LICENSE_1_0.txt)
 */


// BZFS
#include "bzfsAPI.h"

// Local
#include "Global.h"
#include "EventHandler.h"
#include "MineCommand.h"


BZ_GET_PLUGIN_VERSION


MineCommand mineCommand;
EventHandler eventHandler;



BZF_PLUGIN_CALL int bz_Load(const char* /*commandLine*/)
{
  bz_debugMessage(4,"ProximityMine plug-in loaded");
 
  bz_registerEvent(bz_ePlayerPartEvent, &eventHandler);
  bz_registerEvent(bz_ePlayerUpdateEvent, &eventHandler);
  bz_registerEvent(bz_ePlayerDieEvent, &eventHandler);
  bz_registerEvent(bz_eCaptureEvent, &eventHandler);  
  bz_registerCustomSlashCommand(MINECOMMAND, &mineCommand);

  return 0;
}

BZF_PLUGIN_CALL int bz_Unload(void)
{
  bz_debugMessage(4,"ProximityMine plug-in unloaded");

  bz_removeCustomSlashCommand(MINECOMMAND);
  bz_removeEvent(bz_ePlayerPartEvent, &eventHandler);
  bz_removeEvent(bz_ePlayerUpdateEvent, &eventHandler);
  bz_removeEvent(bz_ePlayerDieEvent, &eventHandler);
  bz_removeEvent(bz_eCaptureEvent, &eventHandler);

  return 0;
}

